Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.pmease.quickbuild.model
Class QueueFacade

    java.lang.Object
      com.pmease.quickbuild.model.QueueFacade

All Implemented Interfaces:
  java.io.Serializable

public class QueueFacade
extends java.lang.Object
implements java.io.Serializable

Facade class for Queue. A build queue.

See Also:
  Serialized Form

Constructor Summary
`QueueFacade()`

Method Summary
`java.lang.String` | `getName()` Specify name of this queue
`long` | `getThreadCount()` You should configure the number of working threads in this queue to run builds.
`boolean` | `isAggregateAdjacentBuilds()` If this flag is set, QuickBuild will aggregate adjacent builds in this queue when it thinks proper.
`void` | `setAggregateAdjacentBuilds(boolean aggregateAdjacentBuilds)`
`void` | `setName(java.lang.String name)`
`void` | `setThreadCount(long threadCount)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### QueueFacade

    public QueueFacade()

Method Detail

### getThreadCount

    public long getThreadCount()

  You should configure the number of working threads in this queue to run builds. If all threads are occupied, later build requests will be put into the waiting list.

### setThreadCount

    public void setThreadCount(long threadCount)

### isAggregateAdjacentBuilds

    public boolean isAggregateAdjacentBuilds()

  If this flag is set, QuickBuild will aggregate adjacent builds in this queue when it thinks proper. Considering this case: You set up continuous integration for a project which takes a long time to build. However, developers checkin their code frequently, which cause a lot of build requests sent to QuickBuild. By setting this flag, these build requests will be aggregated to form much fewer requests which will grealy save CPU cycles of your build machine, while still keeps the ability to timely inform developers about whether or not their checkin breaks the code base.

### setAggregateAdjacentBuilds

    public void setAggregateAdjacentBuilds(boolean aggregateAdjacentBuilds)

### getName

    public java.lang.String getName()

  Specify name of this queue

### setName

    public void setName(java.lang.String name)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005 PMEase Inc. All Rights Reserved.